%define major	1
%define libname	%mklibname opencl %{major}
%define devname	%mklibname opencl -d
%define icddevname %mklibname ocl-icd -d

Summary:	OpenCL ICL Loader
Name:		ocl-icd
Version:	2.2.14
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		https://github.com/OCL-dev/%{name}/
Source:		https://github.com/OCL-dev/%{name}/archive/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:	opencl-headers
BuildRequires:	ruby
BuildRequires:	asciidoc
BuildRequires:	xmlto

%description
OpenCL is a royalty-free standard for cross-platform, parallel programming
of modern processors found in personal computers, servers and
handheld/embedded devices.

This package provides an Installable Client Driver loader (ICD Loader).
The provided libOpenCL library is able to load any free or non-free installed
ICD (driver backend).

%package -n	%{libname}
Summary:	OpenCL ICL Loader
Group:		System/Libraries

%description -n	%{libname}
OpenCL is a royalty-free standard for cross-platform, parallel programming
of modern processors found in personal computers, servers and
handheld/embedded devices.

This package provides an Installable Client Driver loader (ICD Loader).
The provided libOpenCL library is able to load any free or non-free installed
ICD (driver backend).

%package -n	%{devname}
Summary:	OpenCL development files
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Requires:	opencl-headers
Provides:	opencl-devel = %{version}-%{release}

%description -n	%{devname}
OpenCL is a royalty-free standard for cross-platform, parallel programming
of modern processors found in personal computers, servers and
handheld/embedded devices.

This package provides the files needed to compile software that uses
OpenCL.

%package -n	%{icddevname}
Summary:	ocl-icd development files
Group:		Development/Libraries
Requires:	%{devname} = %{version}-%{release}
Provides:	ocl-icd-devel = %{version}-%{release}

%description -n	%{icddevname}
This package provides the files needed to build OpenCL client drivers that
use ocl-icd for ICL functionality.

%prep
%setup -q
%apply_patches

%build
autoreconf -fvi
%configure2_5x
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

rm -rf instdocs
mv %{buildroot}%{_docdir}/%{name} instdocs

%files -n %{libname}
%{_libdir}/libOpenCL.so.%{major}*

%files -n %{devname}
%{_libdir}/libOpenCL.so
%{_libdir}/pkgconfig/OpenCL.pc
%{_mandir}/man7/libOpenCL.7*
%{_mandir}/man7/libOpenCL.so.7*

%files -n %{icddevname}
%{_includedir}/ocl_icd.h
%{_libdir}/pkgconfig/ocl-icd.pc


%changelog
* Wed Apr 28 2021 tex - 2.2.14-1pclos2021
- new version

* Sun Apr 25 2021 tex - 2.2.13-1pclos2021
- new version
